# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _name		gst-python
%define _gst_branch	0.10

%if %suse_version <= 1110
%define python_sitelib	%py_sitedir
%define python_sitearch	%py_sitedir
%endif

Name:			python-gstreamer-0_10
URL:			http://www.gstreamer.net/
Summary:		Python Bindings for GStreamer
Version:		0.10.19
Release:		999.pm.1000.8
License:		LGPL
Group:			Development/Languages/Python
Source:			http://gstreamer.freedesktop.org/src/gst-python/%{_name}-%{version}.tar.bz2
Source90:		python-gstreamer010-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
%py_requires
Requires:		python-base => %{py_ver}
Requires:		python-gtk
Requires:		python-gnome
BuildRequires:	fdupes
BuildRequires:	gstreamer-0_10-devel >= 0.10.30
BuildRequires:	gstreamer-0_10-plugins-base-devel >= 0.10.30
BuildRequires:	mDNSResponder-lib
BuildRequires:	pkg-config
BuildRequires:	python-devel
BuildRequires:	python-gtk-devel
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
# Name up to 10.3:
Provides:		python-gstreamer010 = %{version}
Obsoletes:		python-gstreamer010 < %{version}

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%package devel
Summary:		Python Bindings for GStreamer
Group:			Development/Languages/Python
Requires:       %{name} = %{version}

%description devel
This module contains a wrapper that allows GStreamer applications
to be written in Python.



%prep
%setup -q -n %{_name}-%{version}
#%setup -q -n %{_name}
#./autogen.sh

%build
%configure
%__make %{?jobs:-j%{jobs}} V=1

%install
#skip-check-libtool-deps
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{_gst_branch}/libgstpython.la
%__rm %{buildroot}%{python_sitearch}/gst-%{_gst_branch}/gst/*.la
%__rm %{buildroot}%{python_sitearch}/gstoption.la

%__chmod 755 %{buildroot}%{python_sitearch}/gst-%{_gst_branch}/gst/extend/__init__.py
%__chmod 755 %{buildroot}%{python_sitearch}/gst-%{_gst_branch}/gst/extend/sources.py
%__chmod 755 %{buildroot}%{python_sitearch}/gst-%{_gst_branch}/gst/extend/pygobject.py
%__chmod 755 %{buildroot}%{python_sitearch}/gst-%{_gst_branch}/gst/extend/jukebox.py
%__chmod 755 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/gst-discover
%__chmod 755 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/pipeline-tester
%__chmod 755 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/*.py
%__chmod 644 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/fvumeter.py
%__chmod 644 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/mixer.py
%__chmod 644 %{buildroot}%{_datadir}/gst-python/%{_gst_branch}/examples/maemogst.py

%fdupes -s %{buildroot}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc COPYING NEWS README RELEASE TODO
%dir %{_libdir}/gstreamer-%{_gst_branch}
%{_libdir}/gstreamer-%{_gst_branch}/libgstpython.so
%{python_sitearch}/pygst*
%{python_sitearch}/gstoption.so
%dir %{python_sitearch}/gst-%{_gst_branch}
%dir %{python_sitearch}/gst-%{_gst_branch}/gst
%{python_sitearch}/gst-%{_gst_branch}/gst/*.py*
%{python_sitearch}/gst-%{_gst_branch}/gst/*.so
%dir %{python_sitearch}/gst-%{_gst_branch}/gst/extend
%{python_sitearch}/gst-%{_gst_branch}/gst/extend/*.py*

%dir %{_datadir}/%{_name}
%{_datadir}/%{_name}/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug 02 2010 Toni Graffy <toni@links2linux.de> - 0.10.19-999.pm.1
- update to 0.10.19 "Insert Casablanca quote here"
    * Wrap new gstreamer API up to 0.10.30
    * Parallel installability with 0.8.x series
    * Threadsafe design and API

* Thu Feb 11 2010 Toni Graffy <toni@links2linux.de> - 0.10.18-999.pm.1
- update to 0.10.18"A pigeon carrying a 500ton block"
  * Updates to 0.10.26 core/base API addition

* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.10.17-999.pm.1
- update to 0.10.17 "Shiny new button"
  * Fix leak in gst_base_sink_get_last_buffer()
  * Fix linking of pygstminiobject
  * Add test_audio.py example
  * Fix deadlocks calling gst_pad_link()

* Mon May 11 2009 Toni Graffy <toni@links2linux.de> - 0.10.15-42.pm.1
- update to 0.10.15
* Wed Jan 21 2009 Toni Graffy <toni@links2linux.de> - 0.10.14-42.pm.1
- update to 0.10.14
* Fri Oct 03 2008 Toni Graffy <toni@links2linux.de> - 0.10.13-42.pm.1
- update to 0.10.13
- removed all %%ifdef for openSuSE <= 1020
* Wed Jun 19 2008 Toni Graffy <toni@links2linux.de> - 0.10.12-42.pm.1
- update to 0.10.12
* Fri May 02 2008 Toni Graffy <toni@links2linux.de> - 0.10.11-42.pm.2
- using "<=" instead of "<" in Obsoletes-tag
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.11-42.pm.1
- changed package layout similar to openSuSE-11.0
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.11-42.pm.1
- changed package layout similar to openSuSE-11.0
* Sun Mar 23 2008 Toni Graffy <toni@links2linux.de> - 0.10.11-0.pm.1
- update to 0.10.11
* Tue Jan 29 2008 Toni Graffy <toni@links2linux.de> - 0.10.10-0.pm.1
- update to 0.10.10
* Thu Nov 29 2007 Toni Graffy <toni@links2linux.de> - 0.10.9-0.pm.1
- update to 0.10.9
* Sat Aug 04 2007 Toni Graffy <toni@links2linux.de> - 0.10.8-0.pm.1
- update to 0.10.8
* Wed Jan 31 2007 Toni Graffy <toni@links2linux.de> - 0.10.7-0.pm.1
- update to 0.10.7
* Sat Jan 27 2007 Toni Graffy <toni@links2linux.de> - 0.10.6.1-0.pm.1
- update to 0.10.6.1
* Thu Dec 28 2006 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.2
- build for SuSE-10.2
* Mon Dec 04 2006 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.1
- Updated to version 0.10.6
* Fri Nov 24 2006 Toni Graffy <toni@links2linux.de> - 0.10.5-0.pm.1
- build for packman
- Updated to version 0.10.5
- spec-file based on SuSE-spec Mon Jun 26 2006 - sbrabec@suse.cz
